Subject: [netatalk-admins] SGID Propagation Problems

From: Philip Bertuglia <[email-masked]>
Date: Fri, 29 Oct 1999 17:18:36 -0400 (EDT)

I just figured out a good way to set up a "write only" dropbox (I'm sure
that I'm not the first to do it this way) using suns Set Group ID bit on
directories. Using mode 2773 on a directory and 2777 on .AppleDouble
directories within, the "nobody" user can write files to this directory
put can't see it after it's in. This works well for files and
subdirectories with the newest version of netatalk but fails to copy the
GID bit to subdirectories on older versions. 

My problem is that the newest release of netatalk can't pars all
of the AppleDouble header created with the older one that has been running
on this server for over a year with about 200 users writing to it
everyday. Any ideas on how to convert these old headers of mine?

I'm running, 

linux 2.2.12
natalk (I have no idea what version I'm running but I know it's an old
one)

Philip Bertuglia